changeset 203:bcad24801bc3

Script to use stty with netcat -f to talk to a serial port.
author Rob Landley <rob@landley.net>
date Sun, 16 Dec 2007 00:04:17 -0600
parents 9134f2c1deb4
children 64b6941c2f51
files scripts/minicom.sh
diffstat 1 files changed, 15 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/minicom.sh	Sun Dec 16 00:04:17 2007 -0600
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# If you want to use toybox netcat to talk to a serial port, use this.
+
+if [ ! -f "$1" ]
+then
+  echo "Usage: minicom.sh /dev/ttyS0"
+  exit 1
+fi
+
+stty 115200 -F "$1"
+stty raw -echo -ctlecho -F "$1"
+stty raw -echo  # Need to do it on stdin, too.
+./toybox netcat -f "$1"
+stty cooked echo  # Put stdin back.